namespace :achievement_dependency do
    desc "Run the priority queue"
    base_date = Date.new(2022, 1, 1)

    task :link_achievements => :environment do
       
        #create a queue of achievements that need to be linked
        unlocked_achievements = UnlockedAchievement.joins(:achievement).select("achievements.id, achievements.name, 
            unlocked_achievements.id, unlocked_achievements.user_id").where("unlocked_achievements.id = achievements.id")
        
        puts ("----------------------------------------------------")
        unlocked_achievements.each do |un_achievement|
            puts "unlocked_achievement: #{un_achievement.name}"
        end

    end
end
