class UserMailer < ActionMailer::Base

    #set the default email sender
    default from: 'portalmec_tec@inf.ufpr.br'

    #function to send email to user when he/she is created through the admin panel
    def welcome_email (user)
        @user = user
        mail(to: @user.email, subject: 'Bem vindo ao PortalMec!')
    end

    #function to send email confirmation to user, this view is located in app/views/user_mailer/email_confirmation.html.erb
    def email_confirmation (user)
        @user = user
        mail(to: @user.email, subject: 'Confirmação de email')
    end

end
