class ComplaintVote < ApplicationRecord
    include Trackable
    belongs_to :complainable, polymorphic: true

    validates_presence_of :complainable_id

    acts_as_paranoid
    has_paper_trail

end
