namespace :access do
    desc 'Check when all users was created, and give access to them if they were created before a certain date'
    base_date = Date.new(2022, 7, 20)
    
    task :confirm_old_emails => :environment do
        User.all.each do |user|
            if user.created_at < base_date
                user.update_attribute(:email_confirmed, true)
                user.update_attribute(:confirmed_at, Time.now)
            end

        end
    end
end